【iOS开发】synx的安装与使用

2016-12-30 19:50:11来源:CSDN作者:lois_05人点击

第七城市
一、安装synx

$ gem sources --remove https://rubygems.org/// 2.等有反应之后再敲入以下命令(添加国内的源,原先是 http://ruby.taobao.org/ ,现在淘宝上的ruby镜像换成https了)$ gem sources -a https://ruby.taobao.org/// 3.验证是否替换成功$ gem sources -l  // 4.直接通过命令行开始安装:$ gem install synx     如果你权限不够的话需要sudo:$ sudo gem install synx





安装报错:

ERROR:  Error installing cocoapods:

activesupport requires Ruby version >= 2.2.2.


这里提示Ruby版本要大于或等于2.2.2

于是查看ruby版本

$ ruby -v


ruby 2.0.0

果然这里就要升级Ruby版本啦

//列出已知的ruby版本  $ rvm list known 

//如果提示command not found 请先安装rvm$ curl -L get.rvm.io | bash -s stable//等待一段时间后就可以成功安装好 RVM。$ source ~/.bashrc $ source ~/.bash_profile


用RVM升级Ruby
//列出已知的ruby版本  $ rvm list known //安装ruby 版本>2.2.2$ rvm install 2.4


安装synx
$ gem install synx



二、在终端使用

$ synx “你的功能路径”//如synx /Users/wld/lois_work/WeiLingDi/WeiLingDi.xcodeproj //注意:如果使用了cocoapods,要使用.xcodeproj而不能用.xcworkspace其他操作命令

//其他操作--prune, -p                   //同步的时候删除工程中没有使用到的图片资源和文件。--no-color                    //删除所有颜色输出--no-default-exclusions       //不适用默认,除了 /Libraries, /Frameworks, and /Products--quiet, -q                   //silence all output--exclusion, -e EXCLUSION     //忽略当前文件夹进行同步






第七城市

最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台